TNETBIOS.PAS - NetBIOS related types common to other source files
{*********************************************************}
{*                 TNETBIOS.PAS 1.00                     *}
{*        Copyright (c) TurboPower Software 1991.        *}
{*                 All rights reserved.                  *}
{*********************************************************}

{$S-,R-,I-,V-}

Unit TNetBios;

interface

uses
  WinDos, WinProcs, WinTypes, WinDPMI;

const
  NBNameMax        = 16;   {max length of NetBIOS name string}
  NoWait           = $80;  {allows function calls to return immediately}
  NetBiosInt5C     = $5C;  {NetBios is accessed through int 5Ch}
  NBEDPMIError     = $AA;  {special error code indicating DPMI error}

type
  NBNameStr        = String[NBNameMax];   {type for NetBIOS names}
  CallNameType     = Array[1..16] of Char;  {used by NetBIOS internally}
                                            {for names}

  {this is the data type used in NetBIOS calls}
  NCB =
    record
      Command         : Byte;    {the NetBIOS command}
      RetCode         : Byte;    {the return code}
      LSN             : Byte;    {the local session num}
      NameNum         : Byte;    {the NetBIOS name table num}
      Buffer          : Pointer; {point to data buffer}
      BufLen          : Word;    {length of the data buffer}
      CallName        : CallNameType;  {The local name}
      Name            : CallNameType;  {the remote name}
      RTO             : Byte;    {Receive Time Out}
      STO             : Byte;    {Send Time Out}
      PostRoutine     : Pointer; {the post event routine}
      LanaNum         : Byte;    {the LAN adapter number}
      CmdComplete     : Byte;    {the command complete flag}
      Reserved        : Array[1..14] of Byte; {scratch}
    end;
  NCBPtr           = ^NCB;

  WinNCB =
    record
      NR, NP : NCBPtr;
    end;
  WinNCBPtr = ^WinNCB;

  RealModeCallbackProc = Pointer;
  NetBiosPostRoutine = procedure(LastError : Byte; N : WinNCBPtr);
  WindowsPostType =
    record
      Regs     : DPMIRegisters;
      Post     : NetBiosPostRoutine;
      CallBack : RealModeCallbackProc;
      DataSegm : Word;
      NCBs     : WinNCBPtr;
    end;

implementation

end.
