UNETBIOS.PAS - Interface unit for WNETBIOS.DLL
{*********************************************************}
{*                 UNETBIOS.PAS 1.00                     *}
{*        Copyright (c) TurboPower Software 1991.        *}
{*                 All rights reserved.                  *}
{*********************************************************}
{$S-,R-}
unit UNetBios;
  {-A unit to access the routines exported by the DLL WNETBIOS}
interface

uses WinDPMI, TNetBios;

function GetWindowsPostRoutine(ProtectedProc : NetBiosPostRoutine;
                               DataSegment : Word;
                               var WinPost : WindowsPostType) : Boolean;
  {-Allocate a post routine and initialize a WindowsPostType variable}

procedure FreeWindowsPostRoutine(var WinPost : WindowsPostType);
  {-Free a WindowsPostType previously initialized with GetWindowsPostRoutine}

procedure SendDataGram(var N : WinNCB; SenderNameNum : Byte;
                       ReceiverName : NBNameStr;
                       Wait : Boolean;
                       var PostEvent : WindowsPostType;
                       DGSize : Word;
                       Datagram : Pointer);
  {-Send a data packet via datagram services. If Wait is TRUE, then this
    routine will wait until a datagram is sent before returning. The
    CmdCompleted field of the NCB reports when the event is complete if Wait
    is FALSE.}

procedure ReceiveDataGram(var N : WinNCB;
                          ReceiverNameNum : Byte;
                          Wait : Boolean;
                          var PostEvent : WindowsPostType;
                          DGSize : Word;
                          Datagram : Pointer);
  {-Receive a data packet via datagram services. If Wait is TRUE, then this
    routine will wait until a datagram is received before returning.
    Otherwise, it waits for the datagram in the background. The CmdCompleted
    field of the NCB reports when the event is complete if Wait is FALSE.}

function NetBIOSInstalled : Boolean;
  {-returns true if NetBIOS (or a NetBIOS emulator) is installed}

function CancelRequest(var N : WinNCB) : Byte;
  {-cancels a pending NetBIOS function request}

function NetBiosAddName(NameToAdd : NBNameStr;
                        var NameNumber : Byte) : Byte;
  {-Adds a NetBIOS unique name to the name table}

function NetBiosDeleteName(NameToDelete : NBNameStr) : Byte;
  {-deletes a name or group name from the NetBIOS name table}

function AllocateWinNCB(var N : WinNCB) : Boolean;
  {-Allocates memory for an NCB and maintains a real and protected mode ptr}

procedure FreeWinNCB(N : WinNCB);
  {-Frees a WinNCB previously allocated with AllocateWinNCB}

implementation

function GetWindowsPostRoutine;         external 'WNetBIOS' index 1;
procedure FreeWindowsPostRoutine;       external 'WNetBIOS' index 2;
procedure SendDatagram;                 external 'WNetBIOS' index 3;
procedure ReceiveDatagram;              external 'WNetBIOS' index 4;
function NetBiosInstalled;              external 'WNetBIOS' index 5;
function CancelRequest;                 external 'WNetBIOS' index 6;
function NetBiosAddName;                external 'WNetBIOS' index 7;
function NetBiosDeleteName;             external 'WNetBIOS' index 8;
function AllocateWinNCB;                external 'WNetBIOS' index 9;
procedure FreeWinNCB;                   external 'WNetBIOS' index 10;

end.
